This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1274596 - kickstart insufficient while running dasdfmt during kickstart installation in vnc mode
kickstart insufficient while running dasdfmt during kickstart installation in...
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
25
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Vendula Poncova
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2015-10-23 01:46 EDT by Jan Stodola
Modified: 2017-01-16 05:58 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-26.19-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:07:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (173.72 KB, image/png)
2015-10-23 01:46 EDT, Jan Stodola
no flags Details
storage.log (179.53 KB, text/plain)
2015-10-23 01:58 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2015-10-23 01:46:00 EDT
Description of problem:
When running a kickstart installation in VNC mode and dasdfmt is executed to format an unformatted DASD, anaconda shows the following massage on the main hub: "Kickstart insufficient".
Once dasdfmt finishes, the installation continues, so no user interaction is required, but the "Kickstart insufficient" message is misleading.

Version-Release number of selected component (if applicable):
http://s390pkgs.fedoraproject.org/compose/23_RC1/23/Server/s390x/os/
anaconda-23.19.9-1.fc23
python-blivet-1.12.8-1.fc23

How reproducible:
always

Steps to Reproduce:
1. have an unformatted DASD disk (or format one DASD disk with cpfmtxa in CMS)
2. start kickstart installation in VNC mode, the ks file contains:

vnc
bootloader --location=mbr
zerombr
clearpart --all --initlabel
autopart

Actual results:
"Kickstart insufficient" message on the main hub (the installation continues once dasdfmt finishes)

Expected results:
Anaconda should say that a DASD is being formatted
Comment 1 Jan Stodola 2015-10-23 01:46 EDT
Created attachment 1085704 [details]
screenshot

While dasdfmt is running.
Comment 4 Jan Stodola 2015-10-23 01:58 EDT
Created attachment 1085707 [details]
storage.log
Comment 6 Fedora End Of Life 2016-11-24 07:53:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 10:07:04 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Vendula Poncova 2017-01-12 03:28:03 EST
The bug occurs also in Fedora 25.

Pull request for rawhide: https://github.com/rhinstaller/anaconda/pull/927

Note You need to log in before you can comment on or make changes to this bug.